From 18c2d5695a885842a8995850a3b3ab5d2762260c Mon Sep 17 00:00:00 2001
From: SVN-Git Migration <python-modules-team@lists.alioth.debian.org>
Date: Thu, 8 Oct 2015 13:47:14 -0700
Subject: python3.3-and-multiarch

Bug: https://bugreports.qt-project.org/browse/PYSIDE-146
Forwarded: yes
Patch-Name: python3.3-and-multiarch.patch
---
 cmake/Modules/FindPython3Libs.cmake | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

diff --git a/cmake/Modules/FindPython3Libs.cmake b/cmake/Modules/FindPython3Libs.cmake
index 5caf0bf..17fed7e 100644
--- a/cmake/Modules/FindPython3Libs.cmake
+++ b/cmake/Modules/FindPython3Libs.cmake
@@ -114,11 +114,19 @@ MARK_AS_ADVANCED(
   PYTHON3_INCLUDE_DIR
 )
 
+execute_process(
+    COMMAND ${PYTHON3_EXECUTABLE} -c "from distutils import sysconfig; \\
+        print(sysconfig.get_python_inc(plat_specific=True));"
+        OUTPUT_VARIABLE PYTHON3_PLAT_INCDIR
+        OUTPUT_STRIP_TRAILING_WHITESPACE)
+
+message("PYTHON PLAT INC: ${PYTHON3_PLAT_INCDIR}")
+
 # We use PYTHON3_INCLUDE_DIR, PYTHON3_LIBRARY and PYTHON3_DEBUG_LIBRARY for the
 # cache entries because they are meant to specify the location of a single
 # library. We now set the variables listed by the documentation for this
 # module.
-SET(PYTHON3_INCLUDE_DIRS "${PYTHON3_INCLUDE_DIR}")
+SET(PYTHON3_INCLUDE_DIRS "${PYTHON3_INCLUDE_DIR}" "${PYTHON3_PLAT_INCDIR}")
 SET(PYTHON3_LIBRARIES "${PYTHON3_LIBRARY}")
 SET(PYTHON3_DEBUG_LIBRARIES "${PYTHON3_DEBUG_LIBRARY}")
 
